summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorRichard Maw <richard.maw@codethink.co.uk>2012-05-14 16:47:28 +0100
committerRichard Maw <richard.maw@codethink.co.uk>2012-05-14 16:47:28 +0100
commit3f687742106ed12b6ce174e6d2ca864c26b376c4 (patch)
treee38ef3b6d2d1700e59cc26aa0f07db11be76093c /tests
parent2c7cd399c880d8ea9a93b685285947c370a20635 (diff)
downloadmorph-3f687742106ed12b6ce174e6d2ca864c26b376c4.tar.gz
tests: rename stratum-overlap to *-warns
The test is purely that the warnings are logged, whether it handles overlapping correctly is another issue
Diffstat (limited to 'tests')
-rwxr-xr-xtests/stratum-overlap-warns.script30
-rw-r--r--[-rwxr-xr-x]tests/stratum-overlap-warns.setup (renamed from tests/stratum-overlap.script)8
-rw-r--r--tests/stratum-overlap-warns.stdout (renamed from tests/stratum-overlap.stdout)0
3 files changed, 30 insertions, 8 deletions
diff --git a/tests/stratum-overlap-warns.script b/tests/stratum-overlap-warns.script
new file mode 100755
index 00000000..4262ae54
--- /dev/null
+++ b/tests/stratum-overlap-warns.script
@@ -0,0 +1,30 @@
+#!/bin/sh
+#
+# If a stratum has multiple chunks that have the same files in them,
+# then this should be notified
+#
+# Copyright (C) 2011, 2012 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -eu
+
+log="$DATADIR/morph.log"
+cache="$DATADIR/cache/artifacts"
+
+"$SRCDIR/scripts/test-morph" \
+ build --verbose --log=$log test:morphs-repo overlap overlap-stratum.morph
+grep WARNING $log | sed 's/^.*WARNING/WARNING/'
+(cd "$cache" && ls *.chunk.* *.stratum.* | sed 's/^[^.]*\./ /' |
+ LC_ALL=C sort)
diff --git a/tests/stratum-overlap.script b/tests/stratum-overlap-warns.setup
index 442704a8..7b2aa630 100755..100644
--- a/tests/stratum-overlap.script
+++ b/tests/stratum-overlap-warns.setup
@@ -20,10 +20,8 @@
set -eu
-cache="$DATADIR/cache/artifacts"
chunkrepo="$DATADIR/chunk-repo"
morphsrepo="$DATADIR/morphs-repo"
-log="$DATADIR/morph.log"
cd "$morphsrepo"
git checkout --quiet -b overlap master
@@ -93,9 +91,3 @@ EOF
git add overlap-*.morph
git commit --quiet -m 'Add overlapping chunks'
-
-"$SRCDIR/scripts/test-morph" \
- build --verbose --log=$log test:morphs-repo overlap overlap-stratum.morph
-grep WARNING $log | sed 's/^.*WARNING/WARNING/'
-(cd "$cache" && ls *.chunk.* *.stratum.* | sed 's/^[^.]*\./ /' |
- LC_ALL=C sort)
diff --git a/tests/stratum-overlap.stdout b/tests/stratum-overlap-warns.stdout
index 90913dd4..90913dd4 100644
--- a/tests/stratum-overlap.stdout
+++ b/tests/stratum-overlap-warns.stdout